﻿using System;
using System.Linq;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace RadControlsWpfApp2.ViewModels
{
	public class Department : BaseViewModel
	{
		
		private string header;

		/* Initializing the collection. Avoiding NULL Reference Exeption when used. */
		public Department()
		{
			Employees = new ObservableCollection<Employee>();
			EditCommand = new DelegateCommand((p) => { OnDepartmentEdited(); });
		}

		public ObservableCollection<Employee> Employees { get; set; }
		
	
		public string Header
		{
			get { return this.header; }
			set
			{

				if (this.header != value)
				{
					this.header = value;
					OnPropertyChanged("Header");
				}
			}
		}

		private void OnDepartmentEdited()
		{
			this.IsEditing = true;
		}
	}
}
