﻿using System;
using System.Linq;
using Telerik.Windows.Controls;

namespace RadControlsWpfApp2.ViewModels
{
	public class Detail : BaseViewModel
	{
		private string title { get; set; }

		public string Title
		{
			get { return this.title; }
			set
			{

				if (this.title != value)
				{
					this.title = value;
					OnPropertyChanged("Title");
				}
			}
		}
		/* Initializing the collection. Avoiding NULL Reference Exeption when used. */
		public Detail(string _title)
		{
			this.Title = _title;
			EditCommand = new DelegateCommand((p) => { OnDetailsEdited(); });

		}

		private void OnDetailsEdited()
		{
			this.IsEditing = true;
		}
	}
}
