﻿using System;
using System.Linq;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace RadControlsWpfApp2.ViewModels
{
    public class Employee : BaseViewModel
    {
		private string name { get; set; }
		public string Name
		{
			get { return this.name; }
			set
			{

				if (this.name != value)
				{
					this.name = value;
					OnPropertyChanged("Name");
				}
			}
		}
        public ObservableCollection<Detail> Details { get; set; }

        /* Initializing the collection. Avoiding NULL Reference Exeption when used. */
        public Employee()
        {
            Details = new ObservableCollection<Detail>();
			EditCommand = new DelegateCommand((p) => { OnEmployeeEdited(); });

        }

		private void OnEmployeeEdited()
		{
			this.IsEditing = true;
		}
    }
}
