﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace RadControlsWpfApp2.ViewModels
{
    public class MainViewModel
    {
        public ObservableCollection<Department> Departments { get; set; }

        /* Creating and initializing the DataSource. It will be filled with sample data and ready for ferther usage. */
        public MainViewModel()
        {
            this.Departments = new ObservableCollection<Department>();
            for (int i = 0; i < 5; i++)
            {
                Department dept = new Department() {Header = String.Format("Department {0}",i) };
                for (int j = 0; j < 3; j++)
                {
                    Employee emp = new Employee() { Name = String.Format("Employee {0}.{1}",i,j)};
                    for (int k = 0; k < 2; k++)
                    {
                        emp.Details.Add(new Detail(String.Format("Detail {0}.{1}.{2}",i,j,k)));
                    }
                    dept.Employees.Add(emp);
                }
                this.Departments.Add(dept);
            }
        }
    }
}
